Subject: bug#43633: 28.0.50; Include definitions in glossary for: extensible, customizable, self-documenting, real-time display editor

From: Juri Linkov <[email-masked]>
Date: Wed, 30 Sep 2020 21:50:01 +0300

> If I wish to edit with "ed" I would say:
>
> $ ed file
>
> but then nothing would happen, nothing would be displayed. I would
> need to do something like:
>
> i
> New line written here
> .
> w
> 22
> q
>
> then the line "New line written here" would be in the file, as I saved
> it with "w" for 22 bytes, and quit with "q"

Indeed, and 'ed' is still relevant today on minimized distributions
where only 'ed' is available for editing (that even don't provide 'vi').

> Thus "real time display" editor is (probably) comparison to line
> editors. This comparison was useful back in time, today it is hard to
> explain to people.

Emacs can't be described as "real-time" because it doesn't meet the demands of
real-time systems according to https://en.wikipedia.org/wiki/Real-time_computing
that at least require deterministic garbage collection.